<?php

class SiteGetter
{
    protected $site;

    public function __construct($_source)
    {
        $this->site = $_source;
    }
    public function setSiteData($site)
    {
        $this->site = $site;
    }

    public function getSiteName()
    {
        return $this->site['name'];
    }

    public function getCountry()
    {
        return $this->site['country'];
    }

    public function getId()
    {
        return $this->site['id'];
    }

    public function getScore()
    {
        return $this->site['score'];
    }

    public function getMetaData()
    {
        return $this->site['meta'];
    }

    public function getSearchData()
    {
        return $this->site['search'];
    }

    public function getHtmlData()
    {
        return $this->site['html'];
    }

    public function getSocialData()
    {
        return $this->site['social'];
    }

    public function getDmozData()
    {
        return $this->site['dmoz'];
    }

    public function getAlexaData()
    {
        return $this->site['alexa'];
    }

    public function getWhoisData()
    {
        return $this->site['whois'];
    }

    public function getColorData()
    {
        return $this->site['color'];
    }

    public function getComments()
    {
        return $this->site['comments'];
    }

} 